# Generated from ranked-model-rails2-0.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ranked-model-rails2

Name: rubygem-%{gem_name}
Version: 0.4.0
Release: 1%{?dist}
Summary: An acts_as_sortable replacement built for Rails 2
License: MIT
URL: https://github.com/ThoughtWorksStudios/ranked-model-rails2
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.13.0
# BuildRequires: rubygem(rspec) < 2.14
# BuildRequires: rubygem(sqlite3) >= 1.3.7
# BuildRequires: rubygem(sqlite3) < 1.4
# BuildRequires: rubygem(genspec) >= 0.2.8
# BuildRequires: rubygem(genspec) < 0.3
# BuildRequires: rubygem(mocha) >= 0.14.0
# BuildRequires: rubygem(mocha) < 0.15
# BuildRequires: rubygem(database_cleaner) >= 1.2.0
# BuildRequires: rubygem(database_cleaner) < 1.3
BuildArch: noarch

%description
ranked-model-rails2 is a modern row sorting library built for Rails 2,
backported from ranked-model. It uses fake_arel and is better optimized than
most other libraries.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rbenv-vars
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/rails
%{gem_instdir}/tmp
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.mkd
%{gem_instdir}/ranked-model-rails2.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.4.0-1
- Initial package
